Eclipse Platform Release 3.7

## org.eclipse.update.search
Interface IUpdateSearchFilter

All Known Implementing Classes:
  BackLevelFilter, BaseFilter, EnvironmentFilter, VersionedIdentifiersFilter

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IUpdateSearchFilter

Classes that implement this interface can be used to filter the results of the update search.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`boolean` `accept(IFeature match)` Deprecated. In 3.1 only the accept (IFeatureReference) will be used
`boolean` `accept(IFeatureReference match)` Deprecated. Tests a feature reference according to this filter's criteria.

Method Detail

### accept

    boolean accept(IFeature match)

  Deprecated. In 3.1 only the accept (IFeatureReference) will be used

  Tests a feature according to this filter's criteria.

  Parameters:
    `match` - the feature to test
  Returns:
    `true` if the feature has been accepted, `false` otherwise.

### accept

    boolean accept(IFeatureReference match)

  Deprecated.
  Tests a feature reference according to this filter's criteria. This is a prefilter that allows rejecting a feature before a potentially lengthy download.

  Parameters:
    `match` - the feature reference to test
  Returns:
    `true` if the feature reference has been accepted, `false` otherwise.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.